Package org.apache.commons.imaging.color

## Class ColorCieLch

- java.lang.Object
- - org.apache.commons.imaging.color.ColorCieLch

-     public final class ColorCieLch
      extends Object

  Represents a color in the CIELCH color space.

  Contains the constant values for black, white, red, green, and blue.

  Since:
    1.0-alpha1
  See Also:
    https://en.wikipedia.org/wiki/CIELUV#Cylindrical_representation_(CIELCH)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ColorCieLch` | `BLACK` | A constant for color black.
    `static ColorCieLch` | `BLUE` | A constant for color blue.
    `double` | `C` |
    `static ColorCieLch` | `GREEN` | A constant for color green.
    `double` | `h` |
    `double` | `L` |
    `static ColorCieLch` | `RED` | A constant for color red.
    `static ColorCieLch` | `WHITE` | A constant for color white.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColorCieLch​(double L, double C, double h)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BLACK

          public static final ColorCieLch BLACK

      A constant for color black. Color components are:

               L: 0
               c: 0
               h: 0

    - #### WHITE

          public static final ColorCieLch WHITE

      A constant for color white. Color components are:

               L: 100
               c:   0
               h: 297

    - #### RED

          public static final ColorCieLch RED

      A constant for color red. Color components are:

               L: 53
               c: 80
               h: 67

    - #### GREEN

          public static final ColorCieLch GREEN

      A constant for color green. Color components are:

               L:  88
               c: -86
               h:  83

    - #### BLUE

          public static final ColorCieLch BLUE

      A constant for color blue. Color components are:

               L:   32
               c:   79
               h: -108

    - #### L

          public final double L

    - #### C

          public final double C

    - #### h

          public final double h

  - ### Constructor Detail

    - #### ColorCieLch

          public ColorCieLch​(double L,
                             double C,
                             double h)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`